# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# Set version
SET(FRAMEWORK_MAJOR "0")
SET(FRAMEWORK_MINOR "0")
SET(FRAMEWORK_PATCH "1-incubation")

SET(CMAKE_INSTALL_COMPONENT "Framework")
GET_FILENAME_COMPONENT(__cmake_path ${CMAKE_COMMAND} PATH)
FIND_PROGRAM(CPACK_COMMAND cpack ${__cmake_path})
MESSAGE(STATUS "Found CPack at: ${CPACK_COMMAND}")
IF(NOT CPACK_COMMAND)
	MESSAGE(FATAL_ERROR "Need CPack!")
ENDIF(NOT CPACK_COMMAND)

CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/cmake/CPackConfig-Installation.in CPackConfig-Installation.cmake @ONLY)
ADD_CUSTOM_TARGET(package-release
  ${CPACK_COMMAND} --config "CPackConfig-Installation.cmake"
  )
ADD_CUSTOM_TARGET(install-release COMMAND ${CMAKE_COMMAND} -DCOMPONENT=framework -P cmake_install.cmake)
  
