/**
 *Licensed to the Apache Software Foundation (ASF) under one
 *or more contributor license agreements.  See the NOTICE file
 *distributed with this work for additional information
 *regarding copyright ownership.  The ASF licenses this file
 *to you under the Apache License, Version 2.0 (the
 *"License"); you may not use this file except in compliance
 *with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *Unless required by applicable law or agreed to in writing,
 *software distributed under the License is distributed on an
 *"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 *specific language governing permissions and limitations
 *under the License.
 */
/*
 * constants.h
 *
 *  \date       Apr 29, 2010
 *  \author    	<a href="mailto:celix-dev@incubator.apache.org">Apache Celix Project Team</a>
 *  \copyright	Apache License, Version 2.0
 */

#ifndef CONSTANTS_H_
#define CONSTANTS_H_

static const char * const OBJECTCLASS = "objectClass";
static const char * const SERVICE_ID = "service.id";
static const char * const SERVICE_PID = "service.pid";
static const char * const SERVICE_RANKING = "service.ranking";

static const char * const BUNDLE_ACTIVATOR_CREATE = "bundleActivator_create";
static const char * const BUNDLE_ACTIVATOR_START = "bundleActivator_start";
static const char * const BUNDLE_ACTIVATOR_STOP = "bundleActivator_stop";
static const char * const BUNDLE_ACTIVATOR_DESTROY = "bundleActivator_destroy";

static const char * const HEADER_LIBRARY = "library";

static const char * const BUNDLE_SYMBOLICNAME = "Bundle-SymbolicName";
static const char * const BUNDLE_VERSION = "Bundle-Version";
static const char * const EXPORT_PACKAGE = "Export-Service";
static const char * const IMPORT_PACKAGE = "Import-Service";

static const char * const FRAMEWORK_STORAGE = "org.osgi.framework.storage";


#endif /* CONSTANTS_H_ */
